Bug 798759 - it's not possible to schedule RHEL-6.2 build test run for package regression testing
it's not possible to schedule RHEL-6.2 build test run for package regression ...
Status: NEW
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: 4.0
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 13:56 EST by Aleš Mareček
Modified: 2016-05-26 09:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleš Mareček 2012-02-29 13:56:17 EST
Description of problem:
I'm not able to schedule run from TCMS to Beaker for RHEL-6.2. I want to run regression testing but there are many versions of RHEL-6.2 builds, none works.
It blocks my work!

Version-Release number of selected component (if applicable):
Nitrate 3.6.3

How reproducible:
Always

Steps to Reproduce:
1. Create run form some test plan with automated test cases
2. Set "Build" to RHEL-6.2
3. schedule the run, use "bkr workflow-tcms" for example
  
Actual results:
1.
Using distro RHEL-6.2 from the test run build
Found 13 singlehost tasks (created 4 recipe sets)
[ERROR] ('Submit failed', <Fault 1: '<class \'bkr.common.bexceptions.BX\'>:u\'No Distro matches Recipe: <distroRequires><and><distro_name op="=" value="RHEL6-6.2"/><distro_variant op="=" value="Server"/><distro_method op="=" value="nfs"/><distro_arch op="=" value="i386"/></and><distro_virt op="=" value=""/></distroRequires>\''>)

2.
Using distro RHEL-6.2 from the test run build
Found 13 singlehost tasks (created 4 recipe sets)
[ERROR] ('Submit failed', <Fault 1: '<class \'bkr.common.bexceptions.BX\'>:u\'No Distro matches Recipe: <distroRequires><and><distro_name op="=" value="RHEL6-6.2"/><distro_variant op="=" value="Server"/><distro_method op="=" value="nfs"/><distro_arch op="=" value="i386"/></and><distro_virt op="=" value=""/></distroRequires>\''>)

3.
Using distro RHEL-6.2 from the test run build
Found 13 singlehost tasks (created 4 recipe sets)
[ERROR] ('Submit failed', <Fault 1: '<class \'bkr.common.bexceptions.BX\'>:u\'No Distro matches Recipe: <distroRequires><and><distro_name op="=" value="RHEL6-6.2"/><distro_variant op="=" value="Server"/><distro_method op="=" value="nfs"/><distro_arch op="=" value="i386"/></and><distro_virt op="=" value=""/></distroRequires>\''>)

4.
Using distro RHEL-6.2 from the command line
Found 13 singlehost tasks (created 4 recipe sets)
[ERROR] ('Submit failed', <Fault 1: '<class \'bkr.common.bexceptions.BX\'>:u\'No Distro matches Recipe: <distroRequires><and><distro_name op="=" value="RHEL6-6.2"/><distro_variant op="=" value="Server"/><distro_method op="=" value="nfs"/><distro_arch op="=" value="i386"/></and><distro_virt op="=" value=""/></distroRequires>\''>)


Expected results:
Task scheduled.

Additional info:
I don't know how are the RHEL build transferred from Beaker (or just filled somehow) but it's full of mess and non-existent nightly builds. Is it possible to clear it?
Thanks!
Comment 1 yawei Li 2012-05-17 04:51:44 EDT
integration with Beaker is 4.0 feature.

Note You need to log in before you can comment on or make changes to this bug.